passkeyVerifyRegistration
POST
/passkey/verify-registration
const url = 'https://gymgym.club/api/auth/passkey/verify-registration';const options = { method: 'POST', headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'}, body: '{"response":"example","name":"example","createSession":true}'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request POST \ --url https://gymgym.club/api/auth/passkey/verify-registration \ --header 'Authorization: Bearer <token>' \ --header 'Content-Type: application/json' \ --data '{ "response": "example", "name": "example", "createSession": true }'Verify registration of a new passkey
Authorizations
Section titled “Authorizations”Request Bodyrequired
Section titled “Request Bodyrequired”Media typeapplication/json
object
response
required
name
Name of the passkey
string
createSession
Create a session after registering the passkey
boolean
Examplegenerated
{ "response": "example", "name": "example", "createSession": true}Responses
Section titled “Responses”Success
Media typeapplication/json
object
id
required
string
name
string
publicKey
required
string
userId
required
string
credentialID
required
string
counter
required
number
deviceType
required
string
backedUp
required
boolean
transports
string
createdAt
string format: date-time
aaguid
string
session
object
id
required
string
expiresAt
required
string format: date-time
token
required
string
createdAt
required
string format: date-time
updatedAt
required
string format: date-time
ipAddress
string
userAgent
string
userId
required
string
impersonatedBy
string
user
object
id
required
string
name
required
string
email
required
string
emailVerified
required
boolean
image
string
createdAt
required
string format: date-time
updatedAt
required
string format: date-time
role
string
banned
boolean
banReason
string
banExpires
string format: date-time
isAnonymous
boolean
lastLoginMethod
string
Example
{ "user": { "emailVerified": false, "banned": false, "isAnonymous": false }}Bad request
Unauthorized. Due to missing or invalid authentication.
Media typeapplication/json
object
message
required
string
Examplegenerated
{ "message": "example"}Forbidden. You do not have permission to access this resource or to perform this action.
Media typeapplication/json
object
message
string
Examplegenerated
{ "message": "example"}Not Found. The requested resource was not found.
Media typeapplication/json
object
message
string
Examplegenerated
{ "message": "example"}Too Many Requests. You have exceeded the rate limit. Try again later.
Media typeapplication/json
object
message
string
Examplegenerated
{ "message": "example"}Internal Server Error. This is a problem with the server that you cannot fix.
Media typeapplication/json
object
message
string
Examplegenerated
{ "message": "example"}